<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_dd17da474489c53ba873b91c06c72f2" . "9" => base64_decode("L3R3aWdfY2Fj" . "aGU="), "_edd716f0baedc2427c121be" . "529bf222d" => base64_decode("Q2xlYXJpbmcgYWxsIGxvY2FsIGNhY2" . "hlcw=="), "_282505db60b6a60f1a0c54a0f8c270" . "92" => base64_decode("VEVNUExBVEVSX0NBQ" . "0hFX0RJUg=="), "_8fec21706bd2" . "43b37ecf62b1c" . "af8fb8a" => base64_decode("Y2" . "xp"), "_f02edf67305f5d98478" . "4e5a63acb5f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbWVtb3J5IGNhY2hlc" . "yAocnVubmluZyBmcm9tIHRoZSBjb21tYW5kIGxpbm" . "Up"), "_70373a6864aa243b3e8b9c38ac0" . "8e7ff" => base64_decode("Q2xlYXJpbmcgVHdpZyBj" . "YWNoZQ=="), "_593349d6" . "587de2820" . "ea940082e" . "f8271e" => base64_decode("Q2xlYXJpbmcgVGVtcG" . "xhdGVyIGNhY2hl"), "_8368ecd0faa75c04b4e54eac3" . "bd45d63" => base64_decode("Q2xlYXJpbmcgbG9jYWxpemF0aW9uIG" . "NhY2hl"), "_d9040256bff96ad2c221f794" . "39e0560c" => base64_decode("Q2xlYXJpbmcgZGlyZWN0b" . "3J5IA=="), "_db98357e66" . "2ee4057f89e" . "e50fd63a2c5" => base64_decode("Q2xlYXJpbmcgc2hh" . "cmVkIGFzc2V0cyBj" . "YWNoZQ=="), "_4d707fab93bebb00bbe" . "69e8159697c90" => base64_decode(""), "_2935eb81473a5cdf164b" . "a52dc31d305c" => base64_decode("Q2xlYXJpbmcgbWVtb3J" . "5IGNhY2hlcw=="), "_8fd6da14" . "3a7424330" . "37d3741c2" . "6c9f14" => base64_decode("Q2xlYXJpbmcgbG9jYWwgY" . "XNzZXRzIGNhY2hl"), "_db7b295629faa16027a2c26309" . "5eba70" => base64_decode("cGhwX3NhcGlfbmF" . "tZQ=="), "_2d885755f5913deb2b5a48" . "3bd67611d1" => base64_decode("Y2ZnX2xvY2FsX2Rhd" . "GFfZGly"), "_3d13c2fddaab71a09eeaf22" . "607f1db0f" => base64_decode("Q2xlYXJpbm" . "cgYWxsIHNo" . "YXJlZCBjYW" . "NoZXM="), "_22ac6aae2762e0f310c495" . "384c477dc8" => base64_decode("Lmdpd" . "GtlZX" . "A="));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $twig_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_282505db60b6a60f1a0c" . "54a0f8c27092"]);
        $this->twig_cache_dir = $config->get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_2d885755f5913deb2b5a483bd67611d" . "1"]) . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_dd17da474489c53ba873b91c0" . "6c72f29"];
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_edd716f0baedc2427c12" . "1be529bf222d"]);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_db7b295629faa16" . "027a2c263095eba7" . "0"]() !== $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_8fec21706b" . "d243b37ecf6" . "2b1caf8fb8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_f02edf673" . "05f5d98478" . "4e5a63acb5" . "f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
        $this->ClearTwig();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_3d13c2fddaab71a09eeaf226" . "07f1db0f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_8368ecd0fa" . "a75c04b4e54" . "eac3bd45d63"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_8fd6da143a7" . "42433037d374" . "1c26c9f14"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_db98357e662ee4057f89ee50fd63a2c" . "5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_2935eb81473a5cdf164ba52dc31" . "d305c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00" . "bbe69e8159697c90"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_4d707fab93bebb00bbe69e81596" . "97c90"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_593349d6587de282" . "0ea940082ef8271e"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    public function ClearTwig()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_70373a6864aa243b3e8b9c38ac08e7f" . "f"]);
        return $this->ClearDirectory($this->twig_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_d9040256bff96ad2c221f794" . "39e0560c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_22ac6aae2762e0f310c49538" . "4c477dc8"]);
    }
}